> ## Documentation Index
> Fetch the complete documentation index at: https://docs.betterstacks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# create link



## OpenAPI

````yaml api-reference/openapi.json post /api/v1/links
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://{defaultHost}
    variables:
      defaultHost:
        default: api.betterstacks.com
  - url: https://betterstacks.com/
    description: Production server
  - url: https://qa.betterstacks.com/
    description: Qa server
security:
  - bearerAuth: []
paths:
  /api/v1/links:
    post:
      tags:
        - Links
      summary: create link
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                target_url:
                  type: string
                title:
                  type: string
                description:
                  type: string
                latitude:
                  type: number
                longitude:
                  type: number
                image_url:
                  type: string
                image_data:
                  type: string
                tags:
                  type: array
                  items:
                    type: string
                collection_ids:
                  type: array
                  items:
                    type: integer
                repository_ids:
                  type: array
                  items:
                    type: integer
                page_content:
                  type: string
              required:
                - target_url
      responses:
        '201':
          description: created
        '422':
          description: unprocessable entity
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: X-Authorization
      in: header

````